Deploy WikibaseMediaInfo extension to beta
Closed, ResolvedPublic

Description

Before being deployed to production WikibaseMediaInfo must be deployed to beta.

The WikibaseMediaInfo extension is needed for providing structured data to Wikimedia Commons in the future. It holds the new entity type (next to items and properties) that is going to handle structured data for multimedia files.

The extension is in gerrit at mediawiki/extensions/WikibaseMediaInfo.

Actual use in production is blocked on having Multi-Content-Revisions in a baseline version.

There are a very large number of changes, so older changes are hidden. Show Older Changes
Ramsey-WMF moved this task from Untriaged to Triaged on the Multimedia board.Nov 22 2017, 9:03 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 18 2017, 3:03 PM

Change 446831 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/tools/release@master] make-wmf-branch: Add WikibaseMediaInfo extension

https://gerrit.wikimedia.org/r/446831

Change 446841 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Install but don't enable the WikibaseMediaInfo extension, part I

https://gerrit.wikimedia.org/r/446841

Change 446842 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Install but don't enable the WikibaseMediaInfo extension, part II

https://gerrit.wikimedia.org/r/446842

Change 446843 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Install but don't enable the WikibaseMediaInfo extension, part III

https://gerrit.wikimedia.org/r/446843

Change 446844 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Install but don't enable the WikibaseMediaInfo extension, part IV

https://gerrit.wikimedia.org/r/446844

Change 446845 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Enable the WikibaseMediaInfo extension in Beta Cluster Commons

https://gerrit.wikimedia.org/r/446845

Change 446831 merged by jenkins-bot:
[mediawiki/tools/release@master] make-wmf-branch: Add WikibaseMediaInfo extension

https://gerrit.wikimedia.org/r/446831

Change 466953 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Install but don't enable WikibaseMediaInfo on Beta Cluster Commons

https://gerrit.wikimedia.org/r/466953

Change 466954 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Enable WikibaseMediaInfo on Beta Cluster Commons

https://gerrit.wikimedia.org/r/466954

Change 446845 abandoned by Jforrester:
Enable the WikibaseMediaInfo extension in Beta Cluster Commons

Reason:
Accidentally replaced by Ic1cce9a2d98, whoops.

https://gerrit.wikimedia.org/r/446845

Jdforrester-WMF moved this task from To Do to Deployment/Config on the SDC Engineering board.

Change 446841 merged by jenkins-bot:
[operations/mediawiki-config@master] Install but don't enable the WikibaseMediaInfo extension, part I

https://gerrit.wikimedia.org/r/446841

Mentioned in SAL (#wikimedia-operations) [2018-10-22T17:46:14Z] <jforrester@deploy1001> Synchronized wmf-config/extension-list: Add WikibaseMediaInfo i18n to cache cf. T180981 (duration: 00m 46s)

Jdforrester-WMF changed the task status from Stalled to Open.Oct 22 2018, 5:47 PM
Jdforrester-WMF updated the task description. (Show Details)

Change 446842 merged by jenkins-bot:
[operations/mediawiki-config@master] Install but don't enable the WikibaseMediaInfo extension, part II

https://gerrit.wikimedia.org/r/446842

Mentioned in SAL (#wikimedia-operations) [2018-10-22T17:56:59Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Allow enablement of the WikibaseMediaInfo, still off everywhere cf. T180981 (duration: 00m 48s)

Change 446843 merged by jenkins-bot:
[operations/mediawiki-config@master] Install but don't enable the WikibaseMediaInfo extension, part III

https://gerrit.wikimedia.org/r/446843

Mentioned in SAL (#wikimedia-operations) [2018-10-22T18:00:49Z] <jforrester@deploy1001> Synchronized wmf-config/Wikibase.php: For WikibaseMediaInfo wikis, load basic Wikibase repo code cf. T180981 (duration: 00m 46s)

Change 466953 merged by jenkins-bot:
[operations/mediawiki-config@master] Install but don't enable WikibaseMediaInfo on Beta Cluster Commons

https://gerrit.wikimedia.org/r/466953

Mentioned in SAL (#wikimedia-operations) [2018-10-22T18:05:32Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: [Beta Cluster] Load but don't enable MediaInfo on Beta Commons cf. T180981 (duration: 00m 45s)

OK, all the preparatory work is deployed. I plan to finish this in a few hours' time once @Addshore has had a chance to validate how Wikibase will work on Beta Commons.

Change 469055 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] [Beta Cluster] Re-disable WBMI on Beta Commons for now

https://gerrit.wikimedia.org/r/469055

Change 469055 merged by jenkins-bot:
[operations/mediawiki-config@master] [Beta Cluster] Re-disable WBMI on Beta Commons for now

https://gerrit.wikimedia.org/r/469055

Mentioned in SAL (#wikimedia-operations) [2018-10-22T18:48:51Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: [Beta] Temporarily disable WBMI from Beta Commons whilst Wikibse is fixed T180981 (duration: 00m 46s)

Change 469059 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Revert "[Beta Cluster] Re-disable WBMI on Beta Commons for now"

https://gerrit.wikimedia.org/r/469059

Update: We found some issues with how Wikibase is enabled in config, so to avoid letting people break things on Beta Cluster I re-disabled it. See T207683.

Change 469059 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "[Beta Cluster] Re-disable WBMI on Beta Commons for now"

https://gerrit.wikimedia.org/r/469059

Mentioned in SAL (#wikimedia-operations) [2018-10-24T16:36:56Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: [Beta Cluster] Re-disable WBMI on Beta Commons for now T180981 (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2018-10-24T17:04:16Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: [Beta Cluster] Re-disable WBMI on Beta Commons for now T180981 (duration: 00m 54s)

Change 470457 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] [Beta Cluster] Enable wmgUseWikibaseRepo,…UseWikibaseMediaInfo on Commons

https://gerrit.wikimedia.org/r/470457

Change 470458 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] [Beta Cluster] UploadWizard: Enable Structured Data captions when WBMI is enabled

https://gerrit.wikimedia.org/r/470458

Change 470457 merged by jenkins-bot:
[operations/mediawiki-config@master] [Beta Cluster] Enable wmgUseWikibaseRepo,…UseWikibaseMediaInfo on Commons

https://gerrit.wikimedia.org/r/470457

Change 466954 merged by jenkins-bot:
[operations/mediawiki-config@master] [Beta Cluster] Enable wgMediaInfoEnable on Beta Commons

https://gerrit.wikimedia.org/r/466954

Change 470458 merged by jenkins-bot:
[operations/mediawiki-config@master] [Beta Cluster] UploadWizard: Enable Structured Data captions when WBMI is enabled

https://gerrit.wikimedia.org/r/470458

Jdforrester-WMF closed this task as Resolved.Nov 8 2018, 6:20 PM
Jdforrester-WMF raised the priority of this task from Normal to High.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF updated the task description. (Show Details)

Change 446844 merged by jenkins-bot:
[operations/mediawiki-config@master] Install but don't enable the WikibaseMediaInfo extension, part IV

https://gerrit.wikimedia.org/r/446844

Mentioned in SAL (#wikimedia-operations) [2019-01-10T16:04:49Z] <James_F> T180981 Placed patch to install but not enable WBMI on Commons on mwdebug1002

Mentioned in SAL (#wikimedia-operations) [2019-01-10T16:11:45Z] <jforrester@deploy1001> Synchronized dblists/wikidatarepo.dblist: T180981 Add Commons to wikis with WikibaseRepo installed (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2019-01-10T16:13:14Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T180981 Add Commons to wikis with WikibaseMediaInfo installed (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2019-01-10T16:17:09Z] <James_F> T180981 Placed patch to enable WBMI on Commons on mwdebug1002